PHP install issues with missing libraries

jovermars

New member
Joined
Apr 7, 2020
Messages
2
So it all started with the message that custombuild was out of date so i checked the help page of directadmin and updated following the instructions from the mail.

When the command ./build all d stoped with the following error:

Code:
checking for libmcrypt version... >= 2.5.6
checking for mcrypt_module_open in -lmcrypt... no
checking for mcrypt_module_open in -lmcrypt... no
configure: error: Sorry, I was not able to diagnose which libmcrypt version you have installed.

*** There was an error while trying to configure php. Check the configure file
so i was like, oke mcrypt is old and deprecated maybe it now a good time to update the PHP nr1 to PHP7.2 and set PHP nr2 to PHP7.3. so i updated the versions in optoins.conf and fire the command ./build php n

this time the mcrypt error was gone but a new error was there.

Code:
checking if getaddrinfo supports AI_ALL... yes
checking if getaddrinfo supports AI_IDN... yes
checking for sodium support... yes
checking for pkg-config... (cached) /bin/pkg-config
checking for libsodium... found in /usr/local
checking for sodium_add in -lsodium... no
configure: error: wrong libsodium lib version (< 1.0.8) or lib not found

*** There was an error while trying to configure php. Check the configure file

so a few google hits later i runned the command ./build libsodium, ./build icu, ./build mcrypt and even did downgrade the libsodium to 1.0.17 and 1.0.16.

Code:
custombuild.log

2020-04-07 11:27:40 : libsodium 1.0.18 installed
2020-04-07 11:39:38 : libsodium 1.0.18 installed
2020-04-07 11:39:40 : called: libsodium
2020-04-07 14:57:02 : mcrypt 2.5.8 installed
2020-04-07 14:57:10 : called: mcrypt
2020-04-07 15:02:25 : ICU 66_1 installed
2020-04-07 15:02:27 : called: icu
2020-04-07 15:39:59 : ICU 66_1 installed
2020-04-07 15:40:01 : called: icu
2020-04-07 15:57:39 : ICU 66_1 installed
2020-04-07 15:57:41 : called: icu
2020-04-07 16:03:44 : libsodium 1.0.18 installed
2020-04-07 16:03:46 : called: libsodium

so i checked if the combination PHP7.3 and PHP7.4 is a good but still same issue with libsodium.

ps: build version of custombuild

Code:
./build version
2.0.0 (rev: 2465)
 

jovermars

New member
Joined
Apr 7, 2020
Messages
2
The DA support team did respond on the ticket that was created, and the point me at the custom version of gcc that was installed.

So the custom version of gcc installed on the CentOS server that did not work correctly or is not supported by DirectAdmin / CustomBuild. But at least it was holding me back from installing PHP.

Code:
[root@server custombuild]# gcc --version
  gcc (GCC) 5.4.0
  Copyright (C) 2015 Free Software Foundation, Inc.
  This is free software; see the source for copying conditions.  There is NO
  warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

[root@server custombuild]# rpm -qf /usr/local/bin/gcc
  file /usr/local/bin/gcc is not owned by any package

  History of custom gcc installation:

    80  curl https://ftp.gnu.org/gnu/gcc/gcc-5.4.0/gcc-5.4.0.tar.bz2 -O
    81  tar jxvf gcc-5.4.0.tar.bz2
    82  yum install gmp-devel mpfr-devel libmpc-devel
    83  mkdir gcc-5.4.0-build
    84  cd gcc-5.4.0-build
    85  ../gcc-5.4.0/configure --enable-languages=c,c++ --disable-multilib
    86  make -j$(nproc) && make install
the fix for me was to remove the gcc with yum and reinstall it from the yum repository.
 
Top